#### D.15.2.17 determineExceptionalHypersurface

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  determineExceptionalHypersurface(N); N a NormalForm as given by @ref(determineNormalForm)

Return:
  a polynomial defining the exceptional hypersurface for the normal form stored in N.normalForm, i.e. the parameter values that are not allowed for N.normalForm, stored in N.exceptionalHypersurface

Example:

    LIB "arnold.lib";
    ring R = 0,(x,y,z),ds;
    poly g = x^2*y^4+y^2*x^4+5*x^(10)+y^(11)+z^2;
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    poly phiz = z+2*x+x^2+y^4*x;
    map phi = R,phix,phiy,phiz;
    g = phi(g);
    Poly F = makePoly(g);
    NormalForm N= determineNormalForm(F);
    determineExceptionalHypersurface(N);
    ==> Embedding dimension = 3
    ==> Corank of singularity = 2
    ==> Normal form of type = (0,11),(2,4),(4,2),(7,1),(35,0)
    ==> Normal form = (a(4))*x^4*y^2+(a(5))*x^3*y^3+(a(6))*x^2*y^4+(a(2))*x^4*y^3\
       +(a(3))*x^3*y^4+x^7*y+(a(1))*x^4*y^4+y^11+x^35
    ==> Exceptional Hypersurface = a(4)*a(5)^2*a(6)-4*a(4)^2*a(6)^2
    ==> Normal form equation is not determined.
    ==> Milnor number = 34
    ==> Modality = 6
    ==> Monomials corresponding to moduli terms = x^4*y^4, x^4*y^3, x^3*y^4, x^4*\
       y^2, x^3*y^3, x^2*y^4
    ==> Delta invariant = 19
    ==> Number of branches = 5
    ==> Determinacy <= 13
    ==> Non-degenerate part = z^2
    ==> Chain of transformations before Morse split of length 5
    ==> Chain of transformations after Morse split of length 4
    ==>
    ==> The chain of transformations is only containing transformations up to tra\
       nsforming the input polynomial to a germ with a nondegenerate Newton boun\
       dary. The final transformations to normalize the germ are not yet determi\
       ned.
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.